WordPress低版本浏览器检测和升级提醒

  • A+
所属分类:建站相关

随着 Html5 和 CSS3 技术的日趋成熟,越来越多的网站已经不在对低版本浏览器进行兼容,WordPress主题开发也是如此。如果你的 WordPress 站点也不在兼容某些低版本浏览器,最好对使用该版本浏览器的用户进行提醒,今天倡萌就简单推荐这方面的插件。

Advanced Browser Check

WordPress低版本浏览器检测和升级提醒

Advanced Browser Check 支持检测 Firefox、Chrome 、Safari 、Opera 、Internet Explorer,你可以自定义提醒信息和检测哪些浏览器的版本,非常简单实用。

Browser Rejector

WordPress低版本浏览器检测和升级提醒

Browser Rejector 同样支持检测 Firefox、Chrome 、Safari 、Opera 、Internet Explorer 的各种版本以及自定义提醒信息。

Browser Blocker

WordPress低版本浏览器检测和升级提醒

Browser Blocker 同样支持检测多种浏览器的各版本,也可以自定义提醒信息。

IE6 Upgrade Option

WordPress低版本浏览器检测和升级提醒

IE6 Upgrade Option 是专门用来检测 IE6浏览器,然后提示升级,支持自定义提醒信息。

Let's kill IE6

WordPress低版本浏览器检测和升级提醒

Let's kill IE6 是国人开发的,专门检测IE6,并提示更新升级浏览器。

IE6 升级提示脚本

WordPress低版本浏览器检测和升级提醒

以上介绍的都是WordPress插件,对站长个人极为有用,如果你是WordPress主题开发者,也可以研究一下上面的插件,集成到你的主题中。或者你可以可以试试国人 @mg12 开发的脚本:

将下面的代码添加到<head></head>之间即可:

1
2
3
<!--[if IE 6]>
	<script src="//letskillie6.googlecode.com/svn/trunk/2/zh_CN.js"></script>
<![endif]-->

发表评论

:?: :razz: :sad: :evil: :!: :smile: :oops: :grin: :eek: :shock: :???: :cool: :lol: :mad: :twisted: :roll: :wink: :idea: :arrow: :neutral: :cry: :mrgreen:

私密评论